## AvalibleDrivers  [/trips/avalible_drivers]

### AvalibleDrivers [POST]
Obtener los conductores disponibles

+ Request Ejemplo

    + Headers

        Accept-Charset: utf-8
        Authorization: YWxhZGRpbjpvcGVuc2VzYW1l

    + Body
        {
            "username": "pablo",
        }

+ Response 200 (application/json)
    + Relation: 200: Ok

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "disponibles":[
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": "4.5",
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 8,
                            "driver_name": "Nomb",
                            "driver_last_name": "Apell",
                            "image": "assets/profiles/img3.png",
                            "qualification": 4.5,
                            "group": "Grupo toluca",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 8,
                            "driver_name": "Nomb",
                            "driver_last_name": "Apell",
                            "image": "assets/profiles/img3.png",
                            "qualification": 4.5,
                            "group": "Grupo toluca",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 8,
                            "driver_name": "Nomb",
                            "driver_last_name": "Apell",
                            "image": "assets/profiles/img3.png",
                            "qualification": 4.5,
                            "group": "Grupo toluca",
                            "plate": "ABC-123"
                        }
                    ],
                    "cercanos":[
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": "4.5",
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 8,
                            "driver_name": "Nomb",
                            "driver_last_name": "Apell",
                            "image": "assets/profiles/img3.png",
                            "qualification": 4.5,
                            "group": "Grupo toluca",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 8,
                            "driver_name": "Nomb",
                            "driver_last_name": "Apell",
                            "image": "assets/profiles/img3.png",
                            "qualification": 4.5,
                            "group": "Grupo toluca",
                            "plate": "ABC-123"
                        }
                    ]
                }
            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no disponibles

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "disponibles":[
                    ],
                    "cercanos":[
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        }
                    ]
                }
            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no cercanos

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "disponibles":[
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        },
                        {
                            "driver_id": 6,
                            "driver_name": "Nombre",
                            "driver_last_name": "Apellido",
                            "image": "assets/profiles/img1.png",
                            "qualification": 4.5,
                            "group": "grupo A",
                            "plate": "ABC-123"
                        }
                    ],
                    "cercanos":[
                        
                    ]
                }
            ]
        }

+ Response 500 (application/json)
    + Relation: 500: Error
    
    + Body
        {
            "error": {
                "code": 500,
                "message": "Internal Server Error"
            },
            "result": null
        }
